=== examples/msg/tracing/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")
set(LIBRARY_OUTPUT_PATH "${CMAKE_HOME_DIRECTORY}/lib")

add_executable(ms         ${CMAKE_CURRENT_SOURCE_DIR}/ms.c)
add_executable(categories ${CMAKE_CURRENT_SOURCE_DIR}/categories.c)
add_executable(tasks      ${CMAKE_CURRENT_SOURCE_DIR}/tasks.c)
add_executable(procmig    ${CMAKE_CURRENT_SOURCE_DIR}/procmig.c)

### Add definitions for compile
target_link_libraries(ms simgrid m )
target_link_libraries(categories simgrid m )
target_link_libraries(tasks simgrid m )
target_link_libraries(procmig simgrid m )

## Clean generated files
get_directory_property(extra_clean_files ADDITIONAL_MAKE_CLEAN_FILES)
set_directory_properties(
	PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
        "${extra_clean_files};${CMAKE_CURRENT_BINARY_DIR}/ms.cat.plist;${CMAKE_CURRENT_BINARY_DIR}/ms.trace;${CMAKE_CURRENT_BINARY_DIR}/ms.uncat.plist;")
