=== debian/changelog ===
simgrid (3.6~rc2-1) unstable; urgency=low

  * New upstream version: Release candidate to 3.6 
    (There were two of them to take a last minute change into account)
  * First upload to unstable
  * Bump standards-version to 3.9.2

 -- Martin Quinson <mquinson@debian.org>  Tue, 24 May 2011 17:28:10 +0200

simgrid (3.6~b2-1) experimental; urgency=low

  * New upstream pre-release for the upcomming 3.6: beta1
    - fix the build on kfreebsd by disabling MMAP support 
      (we're using MMAP_ANONYMOUS, which is linux only)
    - most examples seem valgrind clean now
    - fix the make clean target: package should builds twice in a row
    - much less warnings in doxygen even if not perfect yet
    - disable tests using raw contextes on arch not providing them 
    - add a manpage for simgrid_update_xml
  * build-depend on libpcre3-dev to enable the Vivaldi routing model
  * Build manually the manpage for now since it's only activated in
    make simgrid_documentation target, that has too much B-D for us.

 -- Martin Quinson <mquinson@debian.org>  Tue, 19 Apr 2011 17:25:22 +0200

simgrid (3.6~b1-1) experimental; urgency=low

  * New upstream pre-release for the upcomming 3.6: beta1
    - Fix compilation on armel and kfreebsd buildd (hopefully)
    - Various other corrections: getting close to the release

 -- Martin Quinson <mquinson@debian.org>  Mon, 18 Apr 2011 17:40:45 +0200

simgrid (3.6~a1-1) experimental; urgency=low

  * Initial upload to Debian, based on an SVN snapshot. Closes: #615484.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 26 Feb 2011 23:17:59 +0100
