## simgrid 3.6~rc3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,13 @@
 set(CMAKE_EXE_LINKER_FLAGS "" CACHE TYPE INTERNAL FORCE)
 ## Mapping version number -> version name
 # 3.5.99 -> alpha1 (oops)
-# 3.5.91 -> beta1
-# 3.5.92 -> beta2
-# 3.5.93 -> rc1
-# 3.5.94 -> rc2
+# 3.5.9{1,2} -> beta{1,2}
+# 3.5.9{3,4,5} -> rc{1,2,3}
+
+# 3.6.0 -> release 3.6 (not yet)
 set(SIMGRID_VERSION_MAJOR "3")
 set(SIMGRID_VERSION_MINOR "5")
-set(SIMGRID_VERSION_PATCH "94")
+set(SIMGRID_VERSION_PATCH "95")
 set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
 set(libsimgrid_version "${release_version}")
 set(libgras_version "${release_version}")
