=== debian/changelog ===
simgrid (3.6~rc3-1) unstable; urgency=low

  * New upstream version: Third release candidate to 3.6
    - disable the tests that are not to be run in release settings
    - fix packaging issues, mainly impacting MacOS X users

 -- Martin Quinson <mquinson@debian.org>  Thu, 16 Jun 2011 15:56:18 +0200
