=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,14 @@
 override_dh_auto_test:
 	dh_auto_test || true
 
+# FIXME do not generate the manpage manually once it's fixed upstream
 override_dh_auto_build:
 	dh_auto_build
 	pod2man tools/simgrid_update_xml.pl > doc/simgrid_update_xml.1
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f doc/simgrid_update_xml.1 # FIXME: kill me once manpage generation is done properly upstream
 
 override_dh_auto_install:
 	dh_auto_install
@@ -32,3 +37,5 @@
 	mkdir -p debian/simgrid/usr/share/doc/simgrid
 	mv debian/simgrid/usr/doc/simgrid/* debian/simgrid/usr/share/doc/simgrid/
 	rm -rf debian/simgrid/usr/doc
+	# remove cruft introduced in 3.6~rc3
+	rm -r debian/simgrid/usr/tools
