=== debian/changelog ===
simgrid (3.6-1) unstable; urgency=low

  * New upstream version: The 3.6 is ready now (yuhu)

 -- Martin Quinson <mquinson@debian.org>  Tue, 21 Jun 2011 09:24:10 +0200
