=== debian/control ===
Source: simgrid
Section: science
Priority: extra
Maintainer: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Uploaders: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, liblua5.1-dev, lua5.1, f2c, chrpath, libpcre3-dev
Standards-Version: 3.9.2
Homepage: http://simgrid.gforge.inria.fr/
Vcs-Git: git://git.debian.org/git/collab-maint/simgrid.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/simgrid.git


Package: simgrid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: lua5.1, f2c, gcc, make
Description: Toolkit for scalable simulation of distributed applications
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. The goal
 of the project is to facilitate research on parallel and distributed
 large-scale systems, such as Grids, P2P systems, and clouds. Its use-cases
 include heuristic evaluation, application prototyping, and real
 application development and tuning.
