## simgrid 3.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,19 +12,22 @@
 # 3.5.99 -> alpha1 (oops)
 # 3.5.9{1,2} -> beta{1,2}
 # 3.5.9{3,4,5} -> rc{1,2,3}
-# 3.6.0 -> release 3.6 
+# 3.6.{0,1} -> release 3.6, 3.6.1
 
 set(SIMGRID_VERSION_MAJOR "3")
 set(SIMGRID_VERSION_MINOR "6")
-set(SIMGRID_VERSION_PATCH "0")
-
-
-
-set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
+set(SIMGRID_VERSION_PATCH "1")
+
+if(${SIMGRID_VERSION_PATCH} EQUAL "0")
+	set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
+else(${SIMGRID_VERSION_PATCH} EQUAL "0")
+	set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}.${SIMGRID_VERSION_PATCH}")
+endif(${SIMGRID_VERSION_PATCH} EQUAL "0")
 set(libsimgrid_version "${release_version}")
 set(libgras_version "${release_version}")
 set(libsmpi_version "${release_version}")
 set(GCC_NEED_VERSION "4.0")
+set(APPLE_NEED_GCC_VERSION "4.6")
 
 ### SET THE LIBRARY EXTENSION AND GCC VERSION
 if(APPLE) #MAC
