=== examples/msg/masterslave/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(masterslave_failure "masterslave_failure.c")
add_executable(masterslave_forwarder "masterslave_forwarder.c")
add_executable(masterslave_mailbox "masterslave_mailbox.c")
add_executable(masterslave_bypass "masterslave_bypass.c")
add_executable(masterslave_console "masterslave_console.c")
add_executable(masterslave_cluster "masterslave_cluster.c")

### Add definitions for compile
if(WIN32)
target_link_libraries(masterslave_forwarder simgrid )
target_link_libraries(masterslave_failure simgrid )
target_link_libraries(masterslave_mailbox simgrid )
target_link_libraries(masterslave_bypass simgrid )
target_link_libraries(masterslave_console simgrid )
else(WIN32)
target_link_libraries(masterslave_forwarder simgrid m )
target_link_libraries(masterslave_failure simgrid m )
target_link_libraries(masterslave_mailbox simgrid m )
target_link_libraries(masterslave_bypass simgrid m )
target_link_libraries(masterslave_console simgrid m )
endif(WIN32)
target_link_libraries(masterslave_cluster simgrid)
