=== debian/changelog ===
simgrid (3.6.1-3ubuntu1) oneiric; urgency=low

  * Add cmake_files.diff: Fix link order for semaphore test to resolve
    FTBFS. (LP: #831269)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Sep 2011 15:19:29 -0400

simgrid (3.6.1-3) unstable; urgency=low

  * Add no-init-malloc.diff: fix FTBFS on Hurd.

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 30 Jul 2011 11:44:55 +0200

simgrid (3.6.1-2) unstable; urgency=low

  * Add test_progs_return_type.diff: fix checking for semaphores on kFreeBSD.
    Closes: #632316

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 20 Jul 2011 23:58:50 +0200

simgrid (3.6.1-1) unstable; urgency=low

  * new upstream version (bug fix on MacOSX: no change for us)

 -- Martin Quinson <mquinson@debian.org>  Mon, 27 Jun 2011 14:08:39 +0200
