=== debian/watch ===
version=3
http://gforge.inria.fr/frs/?group_id=12 .*/simgrid-(.*)\.tar\.gz
