## simgrid 3.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,11 @@
 # 3.5.99 -> alpha1 (oops)
 # 3.5.9{1,2} -> beta{1,2}
 # 3.5.9{3,4,5} -> rc{1,2,3}
-# 3.6.{0,1} -> release 3.6, 3.6.1
+# 3.6.{0,1,2} -> release 3.6, 3.6.1, 3.6.2
 
 set(SIMGRID_VERSION_MAJOR "3")
 set(SIMGRID_VERSION_MINOR "6")
-set(SIMGRID_VERSION_PATCH "1")
+set(SIMGRID_VERSION_PATCH "2")
 
 if(${SIMGRID_VERSION_PATCH} EQUAL "0")
 	set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
@@ -35,6 +35,7 @@
 else(APPLE)
     if(WIN32) #WINDOWS
         set(LIB_EXE "a")
+        set(BIN_EXE ".exe")
     else(WIN32) #UNIX
 	    set(LIB_EXE "so")
     endif(WIN32)
@@ -118,12 +119,12 @@
 
 ### Check 32bits or 64bits
 INCLUDE (CheckTypeSize)
-CHECK_TYPE_SIZE("long" SIZEOF_LONG)
-IF(SIZEOF_LONG EQUAL 4)
+CHECK_TYPE_SIZE("void*" SIZEOF_VOIDSTAR)
+IF(SIZEOF_VOIDSTAR EQUAL 4)
   SET(ARCH_32_BITS 1)
-ELSE(SIZEOF_LONG EQUAL 4)
+ELSE(SIZEOF_VOIDSTAR EQUAL 4)
   SET(ARCH_32_BITS 0)
-ENDIF(SIZEOF_LONG EQUAL 4)
+ENDIF(SIZEOF_VOIDSTAR EQUAL 4)
 
 if(WIN32)
 
@@ -170,9 +171,12 @@
     
     if(ARCH_32_BITS)	### Arch 32bits
         set(_WIN32 1)
+        set(NSIS_WIN_VERSION "win32")
     else(ARCH_32_BITS)	### Arch 64bits
         set(_WIN64 1)
+        set(NSIS_WIN_VERSION "win64")
     endif(ARCH_32_BITS)
+
     
     set(_XBT_WIN32 1)
