=== examples/msg/ns3/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(ns3 "ns3.c")

### Add definitions for compile
target_link_libraries(ns3 simgrid m )
