=== debian/changelog ===
simgrid (3.6.2-1) unstable; urgency=low

  * New upstream release ("Not coding new stuff allows to polish old things")
    - Portability to Mac and Windows improved.
    - Possible misconfigurations (contextes, libPCRE) made impossible by 
      removing the option or providing sane default value.
    - Exerimental support to NS3 simulator as a backend.    
  * Drop test_progs_return_type.diff and no-init-malloc.diff: merged upstream.

 -- Martin Quinson <mquinson@debian.org>  Wed, 05 Oct 2011 16:24:43 +0200
