=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: simgrid
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lucas Nussbaum <lucas@debian.org>
+Maintainer: Lucas Nussbaum <lucas@debian.org>
 Uploaders: Martin Quinson <mquinson@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, liblua5.1-dev, lua5.1, f2c, chrpath, libpcre3-dev
 Standards-Version: 3.9.2
