=== debian/rules ===
--- 
+++ 
@@ -37,5 +37,3 @@
 	mkdir -p debian/simgrid/usr/share/doc/simgrid
 	mv debian/simgrid/usr/doc/simgrid/* debian/simgrid/usr/share/doc/simgrid/
 	rm -rf debian/simgrid/usr/doc
-	# remove cruft introduced in 3.6~rc3
-	rm -r debian/simgrid/usr/tools
